Bug 828446 - rfe - use DVD in preupgrade
rfe - use DVD in preupgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 14:19 EDT by Jim Cromie
Modified: 2013-02-13 09:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:45:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Cromie 2012-06-04 14:19:05 EDT
Description of problem:

preupgrade is taking forever to download stuff thats already on the DVD I burned
(which breaks for other other reasons).  Itd be nice if there was a way to tell it to use the DVD in the drive.  

The README gives no help re how to use the tool
bad if your internet is busted

I tried running $> preupgrade --help while it was running in another
terminal, to see if there was such a feature.  It prompted for root password 
(it shouldnt - giving help should be read-only, not privileged)

Further, once I gave it, it appeared to do scary things to my other running session:

[jimc@groucho boot]$ preupgrade --help
Loaded plugins: blacklist, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
Detected in-progress upgrade to Fedora 17 (Beefy Miracle)
Clearing data from upgrade to Fedora 17 (Beefy Miracle)
preupgrade (baseurl) 
  url: http://fake.url/preupgrade
  now: http://fake.url/preupgrade
preupgrade-adobe-linux-i386 (baseurl) 
  url: http://fake.url/preupgrade-adobe-linux-i386
  now: http://fake.url/preupgrade-adobe-linux-i386
preupgrade-adobe-linux-x86_64 (baseurl) 
  url: http://fake.url/preupgrade-adobe-linux-x86_64
  now: http://fake.url/preupgrade-adobe-linux-x86_64
preupgrade-fedora (baseurl) 
....

"Clearing data" that Ive spent much time downloading gives me heartburn;
though the other gui session seems to be proceeding, after a disconcerting
pause following the --help


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Cromie 2012-06-04 14:42:43 EDT
DAMN

it did actually delete /boot/upgrade

A hugely overdone response to "cancel", esp when the "tip" says otherwize.
Comment 2 gatlibs 2012-06-04 19:26:24 EDT
I've cancelled the download many times, at many stages, and everytime that I had a partial download the result was an erased or unused download. I have been unsuccessfully attemping to download the preupgrade for F16x68_64. I'm not sure if what was downloaded was actually deleted or if it simply just re-downloads everything from the beginning anyway.
Does it delete when reinitialized after a cancelled attempt?
Comment 3 Fedora End Of Life 2013-01-16 08:51:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 09:45:58 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.